%define url_ver %(echo %{version}|cut -d. -f1,2)
%define name mate-keyring
%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:        Framework for managing passwords and other secrets
Name:           mate-keyring
Version:        1.6.1
Release:        %mkrel 1
License:        GPLv2+ and LGPLv2+
Group:          Networking/Remote access
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: gtk-doc
BuildRequires: libcap-devel
BuildRequires: libgcrypt-devel
BuildRequires: pkgconfig(dbus-1) >= 1.0
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(libtasn1)
BuildRequires: libtasn1-tools
BuildRequires: mate-common
BuildRequires: pam-devel
BuildRequires: intltool

%description
The mate-keyring session daemon manages passwords and other types of
secrets for the user, storing them encrypted with a main password.
Applications can use the mate-keyring library to integrate with the keyring.

%package -n %{libname}
Summary: Library files for mate-keyring
License: LGPLv2+
Group:   System/Libraries

%description -n %{libname}
This package contain the library files for %{name}

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the libraries and
header files needed to develop applications that use mate-keyring.

%prep
%setup -q

%build
%configure2_5x \
   --disable-static                    \
   --with-gtk=2.0                      \
   --disable-schemas-compile           \
   --with-pam-dir=/%{_lib}/security/   \
   --with-root-certs=%{_sysconfdir}/pki/tls/certs

%make LIBS='-lgmodule-2.0'

%install
%makeinstall_std

find %{buildroot} -type f -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README COPYING COPYING.LIB
%{_bindir}/mate-keyring
%attr(755,root,root) %{_bindir}/mate-keyring-daemon
%{_sysconfdir}/xdg/autostart/mate-keyring-pkcs11.desktop
%{_sysconfdir}/xdg/autostart/mate-keyring-secrets.desktop
%{_sysconfdir}/xdg/autostart/mate-keyring-ssh.desktop
%{_sysconfdir}/xdg/autostart/mate-keyring-gpg.desktop
%{_libexecdir}/mate-keyring-prompt
%{_datadir}/dbus-1/services/*.service
%{_datadir}/mategcr/
%{_datadir}/mate-keyring/
%{_datadir}/MateConf/gsettings/*.convert
%{_datadir}/glib-2.0/schemas/*.gschema.xml

%files -n %{libname}
%{_libdir}/libmategck.so.%{major}*
%{_libdir}/libmategcr.so.%{major}*
%{_libdir}/mate-keyring/
%{_libdir}/pkcs11/mate-keyring-pkcs11.so
/%{_lib}/security/pam_mate_keyring.so

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/gck
%doc %{_datadir}/gtk-doc/html/gcr-0
%{_includedir}/mategcr/
%{_includedir}/mate-gck/
%{_includedir}/gck/
%{_libdir}/libmategck.so
%{_libdir}/libmategcr.so
%{_libdir}/pkgconfig/mate-gck-0.pc
%{_libdir}/pkgconfig/mate-gcr-0.pc
%{_mandir}/man1/mate-keyring*



%changelog
* Wed Jan 01 2014 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 563791
-New bugfix version: 1.6.1

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 531023
- Mageia 4 Mass Rebuild

* Thu Jun 20 2013 tarakbumba <tarakbumba> 1.6.0-1.mga4
+ Revision: 445267
- imported package mate-keyring

